#!/bin/bash
flameshot gui -r > /tmp/ss.png
[ ! -s /tmp/ss.png ] && exit 1

temp_file=$(mktemp)
trap 'rm -f "$temp_file"' EXIT

# Replace TOKEN and ZIPLINE_URL with your authorization token and the url to your Zipline instance before use, nothing else needs modified
if curl -sS -fH "authorization: TOKEN" https://ZIPLINE_URL/api/upload -F file=@/tmp/ss.png -H "Content-Type: multipart/form-data" >"$temp_file" 2>&1; then
    jq -r '.files[0]' <"$temp_file" | tr -d '\n' | xsel -ib
    notify-send -a "Flameshot" -u low -h "string:desktop-entry:org.flameshot.Flameshot" "Upload Successful" "Link copied to clipboard"
else
    notify-send -a "Flameshot" -u critical -h "string:desktop-entry:org.flameshot.Flameshot" "Upload Failed" "$(<"$temp_file")"
fi
